Bug 608519 - download from http url in installer does not retry hanging connections
download from http url in installer does not retry hanging connections
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 21:21 EDT by Andi Kleen
Modified: 2014-01-21 18:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:02:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andi Kleen 2010-06-27 21:21:34 EDT
Description of problem:

I had two installations from the an internet download server failing in
a row now. In both cases for some external reason (e.g. router switching
IP address) an existing download from the http download server
would hang. And anaconda doesn't seem to have any timeouts, so it
never recovers from this. The installation could likely continue
fine if it just retries the download for that file after a reasonable
time out.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. install from internet url
2. make http connection hang (e.g. firewall it) 
3. ... wait ...
  
Actual results:


Expected results:


Additional info:
Comment 1 seth vidal 2010-06-28 09:05:42 EDT
Can you recreate this on an installed system? 

For example if you run:

urlgrabber -p http://download.fedoraproject.org/pub/fedora/linux/releases/13/Fedora/i386/os/images/install.img


Can you make it happen? If so, please run:

urlgrabber -D http://download.fedoraproject.org/pub/fedora/linux/releases/13/Fedora/i386/os/images/install.img

and report the output.


thanks
Comment 2 Andi Kleen 2010-06-28 10:31:10 EDT
I don't have access to the installed system right now, but one way
to reproduce it is to firewall the connection while it's active

look up localport of the connection with netstat -t

iptables -I INPUT -j DROP -p tcp --dport localport
Comment 3 Bug Zapper 2011-06-01 11:24:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 15:02:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.